Bug 1292730 - updating katello-agent always starts goferd and connects to subscription.rhn.redhat.com [NEEDINFO]
updating katello-agent always starts goferd and connects to subscription.rhn....
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks: 1122832
  Show dependency treegraph
 
Reported: 2015-12-18 03:31 EST by Peter Vreman
Modified: 2017-03-07 07:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-07 07:23:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.vreman: needinfo? (mmccune)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16696 None None None 2016-09-26 15:21 EDT

  None (edit)
Description Peter Vreman 2015-12-18 03:31:03 EST
Description of problem:
When installing Sat6 the katello-agent RPM always enables and starts goferd.
Even when the Sat6 itself is connected to the RHN directly. Then the goferd tries to connect to subscription.rhn.redhat.com. This shall not be needed as goferd shall only connect to Katello and not to RHN.

The current katello-agent %post script are verify dumb and will even start goferd when it was explicitly stopped or disabled.

$ rpm -q --scripts katello-agent
postinstall scriptlet (using /bin/sh):
chkconfig goferd on
service goferd restart
postuninstall scriptlet (using /bin/sh):
    if service goferd status | grep 'is running'; then
        service goferd restart
    fi

Please add code to check the goferd only will start when there is a Katello configured in RHSM. E.g. do not allow to connect to subscription.rhn.redhat.com.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Connect the system to RHN
2. Stop service goferd
3. Install/Upgrade katello-agent
4.

Actual results:
goferd is started and trying to connect to subscription.rhn.redhat.com

Expected results:
goferd is not running



Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:07:59 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Peter Vreman 2017-03-07 06:10:35 EST
The fix for https://bugzilla.redhat.com/show_bug.cgi?id=1291960 removes the restart already.

The more detailed BZ https://bugzilla.redhat.com/show_bug.cgi?id=1371883 requests that goferd is not starting when it wants to connect to subscription.rhsm.redhat.com and not to the Satellite.

Therefor from my perspective this BZ can be closed.
Comment 4 Bryan Kearney 2017-03-07 07:23:33 EST
Based on comments from Peter Vreman, I am closing this out. If this was done in error please feel free to re-open with additional justification.

Note You need to log in before you can comment on or make changes to this bug.